View Issue Details

IDProjectCategoryView StatusLast Update
315RackTablesdefaultpublic2019-01-08 11:55
ReporterinfrastationAssigned Toinfrastation 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.18.1Fixed in Version0.18.1 
Summary315: deprecated warning about set_magic_quotes_runtime()
Description> Im using Racktables on CentOS 5, but im having some problems with
> deprecated function set_magic_quotes_runtime() of php. Im using
> php-5.3.1-1.el5.remi ┬┐What version of php is needed to run Racktables
> 0.17.8?
TagsNo tags attached.

Activities

infrastation

infrastation

2010-03-24 22:43

administrator   ~0000038

0.17.10 is the target release for this work

user145

2010-05-09 23:42

  ~0000068

Code committed. Waiting for merge into 17.x maint branch.

user145

2010-05-10 00:17

  ~0000071

Committed to the trunk.
infrastation

infrastation

2010-05-10 09:52

administrator   ~0000072

Ryan, this issue assumes more work to be resolved. The magic quotes feature get deprecated as a whole, not the single function, which enables it. The matter is, many functions could be affected by qutomatic quoting: http://ru.php.net/manual/en/info.configuration.php#ini.magic-quotes-runtime
They correct way to drop this feature is to check, that data read from files is processed in way, which requires no additional quoting. It is also important to know, that PDO SELECTs are not affected by turning this off.
Once all these places in code are checked, it is safe to dimiss magic quotes dependency at all.
infrastation

infrastation

2010-05-26 19:40

administrator   ~0000087

This feature won't go into 0.18.0, please retarget it later.
infrastation

infrastation

2010-05-30 12:57

administrator   ~0000092

Having checked all points, which magic_quotes could interfere with, I find it safe to drop the extension at all. Those users having it enabled should deal with consequences at their cost.

Related Changesets

RackTables: master 0707fdba

2010-06-02 14:27:42

infrastation

Details Diff
r3728 Returned a GET/POST/COOKIE part of magic_quotes trick, now
wrapped with a safety test (should finally resolve 315).
Affected Issues
315
mod - inc/init.php Diff File

Issue History

Date Modified Username Field Change
2010-03-13 09:01 infrastation New Issue
2010-03-24 22:43 infrastation Note Added: 0000038
2010-03-24 22:43 infrastation Assigned To => infrastation
2010-03-24 22:43 infrastation Status new => assigned
2010-04-02 10:37 infrastation Target Version => 0.18.0
2010-05-07 09:34 infrastation Assigned To infrastation =>
2010-05-07 09:34 infrastation Status assigned => confirmed
2010-05-09 23:13 user145 Status confirmed => assigned
2010-05-09 23:13 user145 Assigned To => user145
2010-05-09 23:42 user145 Note Added: 0000068
2010-05-09 23:42 user145 Status assigned => confirmed
2010-05-10 00:17 user145 Note Added: 0000071
2010-05-10 00:17 user145 Status confirmed => resolved
2010-05-10 00:17 user145 Fixed in Version => 0.17.11
2010-05-10 00:17 user145 Resolution open => fixed
2010-05-10 09:52 infrastation Note Added: 0000072
2010-05-10 09:52 infrastation Status resolved => feedback
2010-05-10 09:52 infrastation Resolution fixed => reopened
2010-05-26 19:40 infrastation Note Added: 0000087
2010-05-26 19:40 infrastation Fixed in Version 0.17.11 =>
2010-05-26 19:40 infrastation Target Version 0.18.0 =>
2010-05-29 17:55 infrastation Target Version => 0.18.1
2010-05-30 12:29 infrastation Status feedback => assigned
2010-05-30 12:29 infrastation Assigned To user145 => infrastation
2010-05-30 12:57 infrastation Note Added: 0000092
2010-05-30 12:57 infrastation Status assigned => resolved
2010-05-30 12:57 infrastation Resolution reopened => fixed
2010-05-30 12:57 infrastation Fixed in Version => 0.18.1
2010-11-29 13:22 infrastation Status resolved => closed
2019-01-08 11:55 infrastation Changeset attached => RackTables master 0707fdba